.character-gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 10px;
    padding: 10px;
    background-color: #f4f4f4;
    border: 2px solid #ddd;
}

.char-thumb {
    width: 120px;
    height: auto;
    cursor: pointer;
    border-radius: 5%;
}

.char-thumb img {
    border: 1px solid black;
}

.char-thumb img:hover {
  border: 3px solid var(--char-color);
  margin: -2px;
}

.char-desc {
    margin: 3px;
    border: 1px solid black;
    text-align: center;
    background-color: #ccc;
    padding: 5px;
    border-radius: 5%;
    cursor: default;
}

/*CHARACTER INFOBOX---------------------------------------------------*/
  
  .infobox {
    width: 100%;
    border: 2px solid black;
    background-color: #f9f9f9;
    font-size: 14px;
    margin: 20px 0;
  }

  .infobox-header {
    background-color: var(--char-color, white);
    text-align: center;
    font-weight: bold;
    padding: 10px;
    font-size: 16px;
  }
  
    .infobox-subheader {
    background-color: var(--char-color, white);
    text-align: center;
    font-weight: normal;
    padding: 8px;
    font-size: 16px;
  }

  .infobox-row {
    display: flex;
    border-top: 1px solid #ccc;  
  }

  .infobox-label {
    width: 40%;
    padding: 6px;
    font-weight: bold;
    background-color: #e0e0e0;
  }

  .infobox-data {
    width: 60%;
    padding: 6px;
  }
  
    .infobox-tabs {
    display: flex;
    border-top: 1px solid #ccc;
    background-color: #e0e0e0;
    color: #2047b1;
  }

  .infobox-tab {
    flex: 1;
    padding: 6px;
    text-align: center;
    cursor: pointer;
    font-weight: bold;
  }

  .infobox-tab:hover,
  .infobox-tab.active {
    background-color: #d0d0d0;
    color: #000000;
  }

  .infobox-content {
    display: none;
  }

  .infobox-content.active {
    display: block;
  }

/*CHARACTER QUOTEBUBBLE---------------------------------------------------*/
  
  .quotebubble {
    margin: 10px 0 0 25px;
    padding: 5px 20px 5px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    border: 1px solid #000000;
    border-radius: 20px;
    width: 75%;
    height: 100px;
    background-color: #ffffc4;
    font-size: 22px;
    animation: floatUpDown 2s ease-in-out infinite alternate;
  }

  .triangle-wrapper {
    position: relative;
    animation: floatUpDown 2s ease-in-out infinite alternate;
    z-index: 999;
  }
  
  .triangle-border {
  border-left: 11px solid transparent;
  border-right: 11px solid transparent;
  border-top: 21px solid black;  /* point down */
  position: absolute;
    top: 121px;
    left: 50px;
  }
  
  .triangle-inner {
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-top: 20px solid #ffffc4;  /* inner triangle color */
  position: absolute;
    top: 120px;
    left: 51px;
  }
  
/*CHARACTER NAMEPLATE---------------------------------------------------*/

#nameplateArea {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 10px 0;
  height: auto;
}

.image-container {
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.image-container img {
  width: 40%;
  padding: 10px 0;
  
}

.epithet {
  font-weight: bold;
  font-size: 22px;
}

@keyframes floatUpDown {
  from {
    transform: translateY(0);
  }
  to {
    transform: translateY(-8px);
  }
}